Update Role
curl --request PUT \
--url https://api.example.com/app/v1/organizations/{organizationId}/roles/{roleId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"permissions": {}
}
'import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/roles/{roleId}"
payload = {
"name": "<string>",
"description": "<string>",
"permissions": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', permissions: {}})
};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Roles
Update Role
Update an existing role
PUT
/
app
/
v1
/
organizations
/
{organizationId}
/
roles
/
{roleId}
Update Role
Path Parameters
Organization ID
Role ID
Request Body
Updated role name
Updated description
Updated permission settings (partial updates supported)
Example Request
{
"description": "Updated role description",
"permissions": {
"content": {
"publish": true
}
}
}
Response
Returns the updated Role object.{
"id": "role123",
"name": "editor",
"description": "Updated role description",
"permissions": {
"organizations": { "read": true, "update": false, "delete": false },
"content": { "create": true, "read": true, "update": true, "publish": true, "delete": true }
},
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-22T14:00:00Z"
}
Error Responses
Role Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Role not found"
}
}
Role Name Already Exists
{
"error": {
"code": "ROLE_NAME_ALREADY_EXISTS",
"message": "Role with name \"editor\" already exists"
}
}
Code Examples
curl -X PUT "https://api.metabind.ai/app/v1/organizations/org123/roles/role123" \
-H "Authorization: Bearer YOUR_JWT" \
-H "Content-Type: application/json" \
-d '{
"description": "Updated role description",
"permissions": {
"content": { "publish": true }
}
}'
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/roles/role123',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_JWT',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: 'Updated role description',
permissions: {
content: { publish: true }
}
})
}
);
const role = await response.json();
console.log(`Updated role: ${role.name}`);
var request = URLRequest(url: URL(string: "https://api.metabind.ai/app/v1/organizations/org123/roles/role123")!)
request.httpMethod = "PUT"
request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
let body = ["description": "Updated role description"]
request.httpBody = try JSONEncoder().encode(body)
let (data, _) = try await URLSession.shared.data(for: request)
val response = client.put("https://api.metabind.ai/app/v1/organizations/org123/roles/role123") {
header("Authorization", "Bearer YOUR_JWT")
contentType(ContentType.Application.Json)
setBody(mapOf("description" to "Updated role description"))
}
⌘I